Bug 1432285 - [UI] As a user, I want the product content UI pages to be a table.
Summary: [UI] As a user, I want the product content UI pages to be a table.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Content Management
Version: Nightly
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: Unspecified
Assignee: Walden Raines
QA Contact: Jonathon Turel
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-15 01:25 UTC by Walden Raines
Modified: 2019-04-01 20:26 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Release Note
Doc Text:
Previously, there was an API JSON field named "enabled_override" for the API at "/api/v2/hosts/1/subscriptions/product_content". With this release, the API JSON field name "enabled_override" has been deprecated in favor of "override" to improve consistency.
Clone Of:
Environment:
Last Closed: 2018-02-21 16:54:17 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 18452 0 None None None 2017-03-15 02:04:11 UTC

Description Walden Raines 2017-03-15 01:25:26 UTC
The product content pages are an old style +/- expansion list. They need to be changed to a searchable table.

The rows should selectable with the action being to switch to "default value" "override to yes" and "override to no".

columns:
Product
Repository Name
Repository Path
Enabled Default
Enabled Override

Comment 1 Walden Raines 2017-03-15 01:25:28 UTC
Created from redmine issue http://projects.theforeman.org/issues/18452

Comment 2 Walden Raines 2017-03-15 01:25:31 UTC
Upstream bug assigned to walden@redhat.com

Comment 4 Satellite Program 2017-03-29 16:08:56 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/18452 has been resolved.

Comment 5 Jonathon Turel 2017-08-09 19:02:05 UTC
Verified working against Sat 6.3 Snap 10 => satellite-6.3.0-16.0.beta.el7sat.noarch

However, I discovered an issue in the related API: https://bugzilla.redhat.com/show_bug.cgi?id=1479933

Comment 7 Satellite Program 2018-02-21 16:54:17 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> 
> For information on the advisory, and where to find the updated files, follow the link below.
> 
> If the solution does not work for you, open a new bug report.
> 
> https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.